#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout TTF011 sources\n*****************************\n"
cd ${HOME}/dev || exit 1

git clone --recurse-submodules --single-branch https://forge.etsi.org/rep/ITS/TS.ITS.git TTF011_Its
cd ./TTF011_Its
for i in `find ./ttcn -type d -name "Ats*"`
do
    cd $i
    git checkout devel
    cd -
done
for i in `find ./ttcn/Ats* -type d -name "asn1"`
do
    cd $i
    git checkout testing
    SUB_DIRS=`find . -type d`
    if [ "SUB_DIRS" != "" ]
    then
        for j in $SUB_DIRS
        do
            cd $j
            git checkout testing
            cd -
        done
    fi
    cd -
done
cd ${HOME}/dev/TTF011_Its/ttcn/LibIts
git checkout TTF011
cd ${HOME}/dev/TTF011_Its/scripts
chmod 775 *.bash devenv.bash.*
cd ${HOME}
ln -sf ${HOME}/dev/TTF011_Its/scripts/devenv.bash.ubuntu ${HOME}/devenv.bash
ls -ltr ${HOME}

echo -e "*****************************\n* Init Workspace\n*****************************\n"
mkdir -p ${HOME}/dev/Workspace/TTF011/bin/asn1
cd ${HOME}/dev/Workspace/TTF011
#ln -s ../../TTF011_Its/testdata
#ln -s ../../TTF011_Its/data

cd ${HOME}

exit 0
